## org.apache.jasper.compiler
Class StoredCharDataGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.StoredCharDataGenerator

All Implemented Interfaces:
  ClassDeclarationPhase, Generator, InitMethodPhase, ServiceMethodPhase

public class StoredCharDataGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase, InitMethodPhase, ClassDeclarationPhase

StoredCharDataGenerator generates HTML and other data present in JSP files to be stored/serialized into a .dat file.

Author:
  Anil K. Vijendran

Field Summary
`protected JspCompilationContext` `ctxt`

Constructor Summary
`StoredCharDataGenerator(java.util.Vector vector, java.lang.String fileName, int stringId, char[] chars)`

Method Summary
`void` `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` `generateCoordinates(java.lang.Class phase)`
`void` `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### StoredCharDataGenerator

    public StoredCharDataGenerator(java.util.Vector vector,
                                   java.lang.String fileName,
                                   int stringId,
                                   char[] chars)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

  Specified by:
    `generate` in interface `Generator`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`
  Overrides:
    `generateCoordinates` in class `org.apache.jasper.compiler.GeneratorBase`

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
    `JasperException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.